Opened 10 years ago

Closed 10 years ago

#80 closed defect (fixed)

mac DMG can't find pygtk (but it's there...)

Reported by: Antoine Martin Owned by: Antoine Martin
Priority: critical Milestone: 0.9.1
Component: Client Keywords:
Cc:

Description

25/01/2010 20:28:41 [0x0-0x15015].shifter[213] 2010/25/01 20:28:41 globals os.uname=('Darwin', 'macadmins-vmware-virtual-platform.local', '9.8.0', 'Darwin Kernel Version 9.8.0: Tue Aug 11 12:57:32 AST 2009; Based on Voodoo :xnu-1228.15.4/BUILD/obj/RELEASE_I386', 'i386') 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213] 2010/25/01 20:28:41 globals version=0.9.0, built on macadmins-vmware-virtual-platform.local by MacAdmin, 2010-01-24 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213] 2010/25/01 20:28:41 globals uid=501, username=MacAdmin, name=MacAdmin, hostname=macadmins-vmware-virtual-platform.local, locale=C 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213] Traceback (most recent call last): 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]   File "///Volumes/Window-Shifter/Window-Shifter.app/Contents/MacOS/Window-Shifter.py", line 8, in <module> 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]     execfile(os.path.join(pygtklibdir, "shifter/applet_wrapper.py")) 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]   File "///Volumes/Window-Shifter/Window-Shifter.app/Contents/Resources/lib/pygtk/2.0/shifter/applet_wrapper.py", line 59, in <module> 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]     main() 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]   File "///Volumes/Window-Shifter/Window-Shifter.app/Contents/Resources/lib/pygtk/2.0/shifter/applet_wrapper.py", line 54, in main 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]     from shifter.client.applet import main 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213]   File "///Users/MacAdmin/Desktop/Window-Shifter.app/Contents/Resources/lib/pygtk/2.0/shifter/client/applet.py", line 14, in <module> 
25/01/2010 20:28:41 [0x0-0x15015].shifter[213] ImportError: No module named pygtk 
25/01/2010 20:28:41 com.apple.launchd[87] ([0x0-0x15015].shifter[213]) Exited with exit code: 1 

Why is it trying to open a path that points to the Desktop where we built the DMG, this path no longer exists (applet.py is in the same location as the other .py files), but it succeeds?? (and fails on importing pygtk...)

Change History (1)

comment:1 Changed 10 years ago by Antoine Martin

Resolution: fixed
Status: newclosed

HACKED: r1719

Last edited 8 years ago by Antoine Martin (previous) (diff)
Note: See TracTickets for help on using tickets.